Compare commits

...
Sign in to create a new pull request.

23 commits

Author SHA1 Message Date
Dusty Mabe
a22c0bac2b
Enable the updates archive repo on non-rawhide.
The fedora-repos-archive RPM is only installed by default in places
where it is needed (i.e. OSTree based distributions). The yum repo
file delivered by the RPM should default to being enabled when on
a numbered version of Fedora (non-rawhide). This was the original
intention when I added it a while back.

(cherry picked from commit e245df682c)
2021-04-28 10:45:39 -04:00
Kamil Páral
fc272c3a7b fully automate repository changes
This is a cherry-picked commit 1db958c4fb from the rawhide branch. The
purpose is to have repo updates automation in *all* branches, so that we can
massively simplify Releng's SOP docs. (If this doesn't get pushed to all
branches, the SOPs need to document both versions).

The original commit description is below:

----

Instead of performing error-prone manual changes in .repo files several times
per cycle, this patchset brings fully automated handling of such edits. All the
releng person needs to do is to set `rawhide_release` and
`updates_testing_enabled` variables (and of course adjust `Version` and
`Release`), and all the repos will be auto-magically populated with the correct
values during build (which includes `enabled=0/1` and `metadata_expire=6h/7d`).
The intention is to avoid human errors which inevitably happen (an example [1]).

This means:

* Rawhide/ELN repo files will get enabled for Rawhide builds, disabled otherwise.
* Standard repo files will get enabled for non-Rawhide builds, disabled otherwise.
* Updates-testing repo will get enabled per specified configuration (ignored on
  Rawhide).
* Base repo files will have short metadata expiration during development period
  ("Branched"), long expiration during stable period.

Everything is covered with tests, to prevent humans and automatons from doing
mistakes. That covers the automated changes to repo files, but also e.g. ensuring
that updates-testing is not enabled in a Final release by mistake.

Coupled with this changeset is an adjustment to certain repo files to make sure
all the sections defined in a single repo file have the same value
`metadata_expire=`, as it makes sense. And also in the spec file the rawhide
subpackage description was moved next to the subpackage definition, they were
split by mistake in the past, it seems.

If this gets merged, it will massively simplify Releng's Mass Branching SOP in
the future [2].

[1] https://src.fedoraproject.org/rpms/fedora-repos/c/08819dbf9428d57eedbe5cd978b516f995bb8b6a?branch=f34
[2] https://docs.pagure.org/releng/sop_mass_branching.html#fedora-repos
2021-03-26 14:03:18 +01:00
Kamil Páral
647b54a423 sync with Rawhide
Most importantly the RPM-GPG-KEY-fedora-rawhide-primary symlink.
2021-02-22 17:45:28 +01:00
Mohan Boddu
38b5f9a6bb Fixing archmap for F35
Signed-off-by: Mohan Boddu <mboddu@bhujji.com>
2021-02-09 09:42:23 -05:00
Mohan Boddu
4693176b74 Fixing archmap for F35
Signed-off-by: Mohan Boddu <mboddu@bhujji.com>
2021-02-09 09:39:33 -05:00
Mohan Boddu
1919f036b5 Adding F35 key
Signed-off-by: Mohan Boddu <mboddu@bhujji.com>
2021-02-04 16:34:47 -05:00
Miro Hrončok
4558b400a7 Fixup assertion on non-rawhide
Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-10-14 13:48:53 +00:00
Miro Hrončok
37f7143dc4 Assert all rawhide/eln repos are set to enabled when this is rawhide
Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-10-14 13:48:53 +00:00
Miro Hrončok
b2c9368a70 Simplify spec changes upon branching (the repo files still need to be changed)
Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-10-14 13:48:53 +00:00
Mohan Boddu
7470752209 Setup for F33 Final
Disable testing repos

Signed-off-by: Mohan Boddu <mboddu@bhujji.com>
2020-10-14 09:26:29 -04:00
Mohan Boddu
89eed92ccb Disable eln repos on non rawhide release (sgallagh)
Signed-off-by: Mohan Boddu <mboddu@bhujji.com>
2020-10-13 17:47:10 -04:00
Stephen Gallagher
e83d50f039
ELN repos should be disabled by default on non-Rawhide
Signed-off-by: Stephen Gallagher <sgallagh@redhat.com>
2020-10-13 17:05:24 -04:00
Stephen Gallagher
56036a78e7
Update the release and changelog
Signed-off-by: Stephen Gallagher <sgallagh@redhat.com>
2020-10-13 16:24:48 -04:00
Stephen Gallagher
7141ad9d47
Add %rawhide_release variable to identify GPG keys
Signed-off-by: Stephen Gallagher <sgallagh@redhat.com>
2020-10-13 16:24:48 -04:00
Stephen Gallagher
e181026981
Update ELN repos to include BaseOS and AppStream repositories
Signed-off-by: Stephen Gallagher <sgallagh@redhat.com>

Drop the fedora-eln-modular.repo

It no longer exists and the fedora-eln.repo package now contains
both BaseOS and AppStream repositories for ELN.

Signed-off-by: Stephen Gallagher <sgallagh@redhat.com>

Add ELN GPG keys

Signed-off-by: Stephen Gallagher <sgallagh@redhat.com>
2020-10-13 13:20:49 -04:00
Dusty Mabe
0d035dba35
Add the fedora-repos-archive subpackage.
This should aid our efforts to make package layering more reliable in
OSTree based Editions. See:

- https://github.com/coreos/fedora-coreos-tracker/issues/400
- https://github.com/coreos/fedora-coreos-tracker/issues/401
- https://pagure.io/releng/issue/9717
- https://lists.fedoraproject.org/archives/list/iot@lists.fedoraproject.org/thread/QZFVKH2SMHJNIZS2M4U25CHJOZXIKLWG/

Signed-off-by: Dusty Mabe <dusty@dustymabe.com>
(cherry picked from commit 51f622a8ca)
2020-10-06 15:16:23 -04:00
Miro Hrončok
181182b12d Don't require fedora-repos-rawhide-modular from fedora-repos-modular
Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1878526
2020-09-14 10:28:39 +02:00
Kevin Fenzi
79100849c0 Drop the fedora-modular.repo file from base package as it's in modular subpackage
Signed-off-by: Kevin Fenzi <kevin@scrye.com>
2020-09-12 00:54:12 +02:00
Miro Hrončok
53c3e56c2f Fix a copy-paste error in eln repo name
Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-09-11 01:30:10 +02:00
Miro Hrončok
2027b3a2c6 Enable Fedora repo %changelog entry
A followup for 3202cad386

Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-08-11 23:43:18 +02:00
Miro Hrončok
3202cad386 Enable Fedora repo
Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-08-11 23:37:21 +02:00
Miro Hrončok
f459cb7849 Disable ELN repos for branched
Signed-off-by: Miro Hrončok <miro@hroncok.cz>
2020-08-11 23:28:39 +02:00
29bb29d3e1 Branching F33 from rawhide
Signed-off-by: Tomas Hrcka <thrcka@redhat.com>
2020-08-11 22:18:34 +02:00
15 changed files with 389 additions and 104 deletions

View file

@ -0,0 +1,29 @@
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQINBGAcScoBEADLf8YHkezJ6adlMYw7aGGIlJalt8Jj2x/B2K+hIfIuxGtpVj7e
LRgDU76jaT5pVD5mFMJ3pkeneR/cTmqqQkNyQshX2oQXwEzUSb1CNMCfCGgkX8Q2
zZkrIcCrF0Q2wrKblaudhU+iVanADsm18YEqsb5AU37dtUrM3QYdWg9R+XiPfV8R
KBjT03vVBOdMSsY39LaCn6Ip1Ovp8IEo/IeEVY1qmCOPAaK0bJH3ufg4Cueks+TS
wQWTeCLxuZL6OMXoOPKwvMQfxbg1XD8vuZ0Ktj/cNH2xau0xmsAu9HJpekvOPRxl
yqtjyZfroVieFypwZgvQwtnnM8/gSEu/JVTrY052mEUT7Ccb74kcHFTFfMklnkG/
0fU4ARa504H3xj0ktbe3vKcPXoPOuKBVsHSv00UGYAyPeuy+87cU/YEhM7k3SVKj
6eIZgyiMO0wl1YGDRKculwks9A+ulkg1oTb4s3zmZvP07GoTxW42jaK5WS+NhZee
860XoVhbc1KpS+jfZojsrEtZ8PbUZ+YvF8RprdWArjHbJk2JpRKAxThxsQAsBhG1
0Lux2WaMB0g2I5PcMdJ/cqjo08ccrjBXuixWri5iu9MXp8qT/fSzNmsdIgn8/qZK
i8Qulfu77uqhW/wt2btnitgRsqjhxMujYU4Zb4hktF8hKU/XX742qhL5KwARAQAB
tDFGZWRvcmEgKDM1KSA8ZmVkb3JhLTM1LXByaW1hcnlAZmVkb3JhcHJvamVjdC5v
cmc+iQJOBBMBCAA4FiEEeH6mrhFH7uVsQLMM20Y5cZhnxY8FAmAcScoCGw8FCwkI
BwIGFQoJCAsCBBYCAwECHgECF4AACgkQ20Y5cZhnxY+NYA/7BYpglySAZYHhjyKh
/+f6zPfVvbH20Eq3kI7OFBN0nLX+BU1muvS+qTuS3WLrB3m3GultpKREJKLtm5ED
1rGzXAoT1yp9YI8LADdMCCOyjAjsoWU87YUuC+/bnjrTeR2LROCfyPC76W985iOV
m5S+bsQDw7C2LrldAM4MDuoyZ1SitGaZ4KQLVt+TEa14isYSGCjzo7PY8V3JOk50
gqWg82N/bm2EzS7T83WEDb1lvj4IlvxgIqKeg11zXYxmrYSZJJCfvzf+lNS6uxgH
jx/J0ylZ2LibGr6GAAyO9UWrAZSwSM0EcjT8wECnxkSDuyqmWwVvNBXuEIV8Oe3Y
MiU1fJN8sd7DpsFx5M+XdnMnQS+HrjTPKD3mWrlAdnEThdYV8jZkpWhDys3/99eO
hk0rLny0jNwkauf/iU8Oc6XvMkjLRMJg5U9VKyJuWWtzwXnjMN5WRFBqK4sZomMM
ftbTH1+5ybRW/A3vBbaxRW2t7UzNjczekSZEiaLN9L/HcJCIR1QF8682DdAlEF9d
k2gQiYSQAaaJ0JJAzHvRkRJLLgK2YQYiHNVy2t3JyFfsram5wSCWOfhPeIyLBTZJ
vrpNlPbefsT957Tf2BNIugzZrC5VxDSKkZgRh1VGvSIQnCyzkQy6EU2qPpiW59G/
hPIXZrKocK3KLS9/izJQTRltjMA=
=PfT7
-----END PGP PUBLIC KEY BLOCK-----

View file

@ -0,0 +1,29 @@
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQINBGAkKwgBEAC+IQKqp/BI1VIvRRqcnRoAxkzsY3pxIS1L+C4gaWjIMf1eBBTq
v9eKd4xHsW80VL/tl81WZWO/7JXKmgHODiXrv4HmDIOo6Z1hxehjVRF3Ih4+sKHR
XCJgwcdJnMfqTKnHiycQggeDuheWbfjV2Fgmvxy0jh0M5PCB5taNz41LmPOaUQmn
PXcI05CjP5msKjRBObw5Cd2oad60pTNhnBWRf288S8W4wH4jNISOZLZTOf6HU5gJ
w9wU9RZoaz8kZPNArlJjZsN83S0XLCxpa6UUgYdzPDHOWGtcWGs3bvNAlTYuacun
oICOvTH/ZJU7mgaZbbdSPVLDJdLBKRVgHbdTAK0J913FEiU93GJR5bf/W5FMN7DV
6hsJVMiY/knJmkTFE9whDSjEc0TAYhQuC1HnzvMPGJvkeEz9nRqna5QUuo7V6LI4
fZNTSlqFyIi/Oa3ZoliOyOshxJmU3y1HaNcHerO1nFbTtZ7s/TKBhY9oFq4T4gJV
yFWy33p/JDxOtlVjpHEkzwXGdPe6R4xK8xHObEVraOMZMaweII+tMOGwVbxZu2kC
A1aflM+oeyU1Fx9qqM0+dYyHO+kp3M5UtfM006RcNcdfoGrA4l6z9sUnHKsYzOLP
RvKkzxiX3T91vHtRGCXjPOgOsJJzjkFtE1a5oFZg39fC99HZdbX0rUqAtQARAQAB
tDFGZWRvcmEgKDM2KSA8ZmVkb3JhLTM2LXByaW1hcnlAZmVkb3JhcHJvamVjdC5v
cmc+iQJOBBMBCAA4FiEEU97Sy5Iti42eY/0YmZ98vzircfQFAmAkKwgCGw8FCwkI
BwIGFQoJCAsCBBYCAwECHgECF4AACgkQmZ98vzircfSGaxAAlDBWuY1Ch3YsssGE
uaeOuaHmDj08p08WUAFUPBN0ID+0pmRQjywFzrufw8Z2g/lHwic+tpXXr/RtMmcl
+WzLh1E34TRqEngjDJ27QBq1Jyid3h1manKLhZhJ8b1usKHP7Dqh7n+eMTv2Qgrt
6MrCNe4otWZ9WJ5vp/Bay5yAtU6lNoWBmJ+6BS1/2mg2jhoXrfg/Vey+/i6nYZIk
M4IcYCyGCi9rjc8NMgkCyzPkPJtsy2taB+VdUcZyjFpc1acmC8sR/2/SEl4+pOtM
UzW+OUOQFrerX/8MC5LqvmtsiPMyRDCOw3reJTXyoUIehoHoK9QtAdIRRP2nAkPy
GKycVzsLbtheJXUZharXL1DwOkpMNlm3hp9BxX89m7dLblMSjtrQPs8CkpAExAQW
FBltsD73ZhGnfE/XdWp7343m1w5W2m85/rczP+2et+c+HPmYTgaJTu8fAF0FoTDd
uD1r9DxRa2oN3YBiPP/nXnhJaH//GgF/RRw7Fbc66fCh8DTrMsPgmyi/O3/pdSGe
k0UqEfSdzNPbl7gVFlCbr4Ur5n1ph+sEZqOhMuyszLZZvYvUrHsDuanML5X25coP
h+rqyjHJJeYlS2tMAQB1fmHB0LWhRhKYaOROAXFmUutFUxVVoigNCl8mV561DCz6
6/zy81ZGeyUGOEIZ1NFuoY0EhC8=
=KaIq
-----END PGP PUBLIC KEY BLOCK-----

View file

@ -1,8 +1,10 @@
fedora-7-primary: i386 x86_64 ppc ppc64
fedora-8-primary: i386 x86_64 ppc ppc64
fedora-8-primary-original:
fedora-9-primary: i386 x86_64 ppc ppc64
fedora-9-primary-original:
fedora-9-secondary: ia64
fedora-10-primary: i386 x86_64 ppc ppc64
@ -19,7 +21,7 @@ fedora-13-secondary: arm mips
fedora-14-primary: i386 x86_64
fedora-14-secondary: arm
fedora-15-primary: i386 x86_64
fedora-15-primary: i386 x86_64
fedora-15-secondary: arm armhfp ppc ppc64 s390 s390x
fedora-16-primary: i386 x86_64
@ -60,6 +62,7 @@ fedora-27-primary: i386 x86_64 armhfp aarch64 ppc64 ppc64le s390x
fedora-28-primary: i386 x86_64 armhfp aarch64 ppc64 ppc64le s390x
fedora-29-primary: i386 x86_64 armhfp aarch64 ppc64 ppc64le s390x
fedora-modularity:
fedora-30-primary: i386 x86_64 armhfp aarch64 ppc64le s390x
@ -72,3 +75,7 @@ fedora-32-primary: i386 x86_64 armhfp aarch64 ppc64le s390x
fedora-33-primary: i386 x86_64 armhfp aarch64 ppc64le s390x
fedora-34-primary: i386 x86_64 armhfp aarch64 ppc64le s390x
fedora-35-primary: x86_64 armhfp aarch64 ppc64le s390x
fedora-36-primary: x86_64 armhfp aarch64 ppc64le s390x

View file

@ -1,56 +0,0 @@
# These packages are untested and still under development. This
# repository is used for development of new releases.
#
# This repository can see significant daily turnover and major
# functionality changes which cause unexpected problems with other
# development packages. Please use these packages if you want to work
# with the Fedora developers by testing these new development packages.
#
# # https://admin.fedoraproject.org/mailman/listinfo/test (Subscription
# Required) is available as a discussion forum for
# testing and troubleshooting for development packages in conjunction
# with new test releases.
#
# More information is available at http://fedoraproject.org/wiki/Testing
#
# Reproducible and reportable issues should be filed at
# http://bugzilla.redhat.com/.
#
# Product: Fedora
# Version: eln-modular
[eln-modular]
name=Fedora - Modular ELN - Developmental modular packages for the next Enterprise Linux release
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/Modular/$basearch/os/
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-modular&arch=$basearch
enabled=1
countme=1
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-modular-debuginfo]
name=Fedora - Modular ELN - Debug
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/Modular/x86_64/debug/tree
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-modular-debug&arch=$basearch
enabled=0
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-modular-source]
name=Fedora - Modular ELN - Source
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/Modular/source/tree/
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-modular-source&arch=$basearch
enabled=0
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False

View file

@ -11,7 +11,7 @@
# testing and troubleshooting for development packages in conjunction
# with new test releases.
#
# More information is available at http://fedoraproject.org/wiki/Testing
# More information is available at http://fedoraproject.org/wiki/Testing
#
# Reproducible and reportable issues should be filed at
# http://bugzilla.redhat.com/.
@ -19,11 +19,11 @@
# Product: Fedora
# Version: eln
[eln]
name=Fedora - ELN - Developmental modular packages for the next Enterprise Linux release
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/Everything/$basearch/os/
[eln-baseos]
name=Fedora - ELN BaseOS - Developmental packages for the next Enterprise Linux release
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/BaseOS/$basearch/os/
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln&arch=$basearch
enabled=1
enabled=AUTO_VALUE
countme=1
metadata_expire=6h
repo_gpgcheck=0
@ -32,25 +32,65 @@ gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-debuginfo]
name=Fedora - ELN - Debug
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/Everything/x86_64/debug/tree
[eln-baseos-debuginfo]
name=Fedora - ELN BaseOS - Debug
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/BaseOS/$basearch/debug/tree
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-debug&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-source]
name=Fedora - ELN - Source
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/Everything/source/tree/
[eln-baseos-source]
name=Fedora - ELN BaseOS - Source
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/BaseOS/source/tree/
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-source&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-appstream]
name=Fedora - ELN AppStream - Developmental packages for the next Enterprise Linux release
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/AppStream/$basearch/os/
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln&arch=$basearch
enabled=AUTO_VALUE
countme=1
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-appstream-debuginfo]
name=Fedora - ELN AppStream - Debug
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/AppStream/$basearch/debug/tree
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-debug&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False
[eln-appstream-source]
name=Fedora - ELN AppStream - Source
baseurl=https://odcs.fedoraproject.org/composes/production/latest-Fedora-ELN/compose/AppStream/source/tree/
#metalink=https://mirrors.fedoraproject.org/metalink?repo=eln-source&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=False

View file

@ -2,9 +2,9 @@
name=Fedora Modular $releasever - $basearch
#baseurl=http://download.example/pub/fedora/linux/releases/$releasever/Modular/$basearch/os/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-modular-$releasever&arch=$basearch
enabled=0
enabled=AUTO_VALUE
countme=1
#metadata_expire=7d
metadata_expire=AUTO_VALUE
repo_gpgcheck=0
type=rpm
gpgcheck=1
@ -16,7 +16,7 @@ name=Fedora Modular $releasever - $basearch - Debug
#baseurl=http://download.example/pub/fedora/linux/releases/$releasever/Modular/$basearch/debug/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-modular-debug-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
metadata_expire=AUTO_VALUE
repo_gpgcheck=0
type=rpm
gpgcheck=1
@ -28,7 +28,7 @@ name=Fedora Modular $releasever - Source
#baseurl=http://download.example/pub/fedora/linux/releases/$releasever/Modular/source/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-modular-source-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
metadata_expire=AUTO_VALUE
repo_gpgcheck=0
type=rpm
gpgcheck=1

View file

@ -11,7 +11,7 @@
# testing and troubleshooting for development packages in conjunction
# with new test releases.
#
# More information is available at http://fedoraproject.org/wiki/Testing
# More information is available at http://fedoraproject.org/wiki/Testing
#
# Reproducible and reportable issues should be filed at
# http://bugzilla.redhat.com/.
@ -23,13 +23,13 @@
name=Fedora - Modular Rawhide - Developmental packages for the next Fedora release
#baseurl=http://download.example/pub/fedora/linux/development/rawhide/Modular/$basearch/os/
metalink=https://mirrors.fedoraproject.org/metalink?repo=rawhide-modular&arch=$basearch
enabled=1
enabled=AUTO_VALUE
countme=1
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch AUTO_VALUE
skip_if_unavailable=False
[rawhide-modular-debuginfo]
@ -37,10 +37,11 @@ name=Fedora - Modular Rawhide - Debug
#baseurl=http://download.example/pub/fedora/linux/development/rawhide/Modular/$basearch/debug/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=rawhide-modular-debug&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch AUTO_VALUE
skip_if_unavailable=False
[rawhide-modular-source]
@ -48,9 +49,9 @@ name=Fedora - Modular Rawhide - Source
#baseurl=http://download.example/pub/fedora/linux/development/rawhide/Modular/source/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=rawhide-modular-source&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch AUTO_VALUE
skip_if_unavailable=False

View file

@ -11,7 +11,7 @@
# testing and troubleshooting for development packages in conjunction
# with new test releases.
#
# More information is available at http://fedoraproject.org/wiki/Testing
# More information is available at http://fedoraproject.org/wiki/Testing
#
# Reproducible and reportable issues should be filed at
# http://bugzilla.redhat.com/.
@ -23,13 +23,13 @@
name=Fedora - Rawhide - Developmental packages for the next Fedora release
#baseurl=http://download.example/pub/fedora/linux/development/rawhide//Everything/$basearch/os/
metalink=https://mirrors.fedoraproject.org/metalink?repo=rawhide&arch=$basearch
enabled=1
enabled=AUTO_VALUE
countme=1
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch AUTO_VALUE
skip_if_unavailable=False
[rawhide-debuginfo]
@ -37,10 +37,11 @@ name=Fedora - Rawhide - Debug
#baseurl=http://download.example/pub/fedora/linux/development/rawhide/Everything/$basearch/debug/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=rawhide-debug&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch AUTO_VALUE
skip_if_unavailable=False
[rawhide-source]
@ -48,9 +49,9 @@ name=Fedora - Rawhide - Source
#baseurl=http://download.example/pub/fedora/linux/development/rawhide/Everything/source/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=rawhide-source&arch=$basearch
enabled=0
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch AUTO_VALUE
skip_if_unavailable=False

View file

@ -1,14 +1,19 @@
%global rawhide_release 35
%global updates_testing_enabled 0
Summary: Fedora package repositories
Name: fedora-repos
Version: 34
Release: 0.1%{?_module_build:%{?dist}}
Version: 33
Release: 5%{?_module_build:%{?dist}}
License: MIT
URL: https://fedoraproject.org/
Provides: fedora-repos(%{version}) = %{release}
Requires: system-release(%{version})
Obsoletes: fedora-repos < 33-0.7
%if %{rawhide_release} == %{version}
Requires: fedora-repos-rawhide = %{version}-%{release}
%endif
Requires: fedora-gpg-keys >= %{version}-%{release}
BuildArch: noarch
@ -18,6 +23,9 @@ Source3: fedora-updates.repo
Source4: fedora-updates-testing.repo
Source5: fedora-rawhide.repo
Source6: fedora-cisco-openh264.repo
Source7: fedora-updates-archive.repo
Source8: fedora-eln.repo
Source10: RPM-GPG-KEY-fedora-7-primary
Source11: RPM-GPG-KEY-fedora-8-primary
@ -64,6 +72,11 @@ Source51: RPM-GPG-KEY-fedora-31-primary
Source52: RPM-GPG-KEY-fedora-32-primary
Source53: RPM-GPG-KEY-fedora-33-primary
Source54: RPM-GPG-KEY-fedora-34-primary
Source55: RPM-GPG-KEY-fedora-35-primary
Source56: RPM-GPG-KEY-fedora-36-primary
# When bumping Rawhide to fN, create N+1 key (and update archmap). (This
# ensures users have the next future key installed and referenced, even if they
# don't update very often. This will smooth out Rawhide N->N+1 transition for them).
Source100: fedora-modular.repo
Source101: fedora-updates-modular.repo
@ -75,16 +88,15 @@ Source150: RPM-GPG-KEY-fedora-iot-2019
Source151: fedora.conf
Source152: fedora-compose.conf
Source200: fedora-eln.repo
Source201: fedora-eln-modular.repo
%description
Fedora package repository files for yum and dnf along with gpg public keys.
%package modular
Summary: Fedora modular package repositories
Requires: fedora-repos = %{version}-%{release}
%if %{rawhide_release} == %{version}
Requires: fedora-repos-rawhide-modular = %{version}-%{release}
%endif
Obsoletes: fedora-repos < 33-0.7
%description modular
@ -98,6 +110,15 @@ Obsoletes: fedora-repos-rawhide < 33-0.7
%description rawhide
This package provides the rawhide repo definitions.
%package archive
Summary: Fedora updates archive package repository
Requires: fedora-repos = %{version}-%{release}
%description archive
This package provides the repo definition for the updates archive repo.
It is a package repository that contains any RPM that has made it to
stable in Bodhi and been available in the Fedora updates repo in the past.
%package rawhide-modular
Summary: Rawhide modular repo definitions
Requires: fedora-repos = %{version}-%{release}
@ -147,10 +168,18 @@ install -m 644 %{_sourcedir}/RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
# says "fedora-19-primary: i386 x86_64",
# RPM-GPG-KEY-fedora-19-{i386,x86_64} will be symlinked to that key.
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
# Also add a symlink for Rawhide and ELN keys
ln -s RPM-GPG-KEY-fedora-%{rawhide_release}-primary RPM-GPG-KEY-fedora-rawhide-primary
ln -s RPM-GPG-KEY-fedora-%{rawhide_release}-primary RPM-GPG-KEY-fedora-eln-primary
for keyfile in RPM-GPG-KEY*; do
key=${keyfile#RPM-GPG-KEY-} # e.g. 'fedora-20-primary'
arches=$(sed -ne "s/^${key}://p" %{_sourcedir}/archmap) \
|| echo "WARNING: no archmap entry for $key"
# resolve symlinks, so that we don't need to keep duplicate entries in archmap
real_keyfile=$(basename $(readlink -f $keyfile))
key=${real_keyfile#RPM-GPG-KEY-} # e.g. 'fedora-20-primary'
if ! grep -q "^${key}:" %{_sourcedir}/archmap; then
echo "ERROR: no archmap entry for $key"
exit 1
fi
arches=$(sed -ne "s/^${key}://p" %{_sourcedir}/archmap)
for arch in $arches; do
# replace last part with $arch (fedora-20-primary -> fedora-20-$arch)
ln -s $keyfile ${keyfile%%-*}-$arch # NOTE: RPM replaces %% with %
@ -160,20 +189,160 @@ done
ln -s RPM-GPG-KEY-fedora-%{version}-primary RPM-GPG-KEY-%{version}-fedora
popd
# Install repo files
install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in %{_sourcedir}/fedora*repo ; do
install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done
# Enable or disable repos based on current release cycle state.
%if %{rawhide_release} == %{version}
rawhide_enabled=1
stable_enabled=0
testing_enabled=0
archive_enabled=0
%else
rawhide_enabled=0
stable_enabled=1
testing_enabled=%{updates_testing_enabled}
archive_enabled=1
%endif
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-{rawhide,eln}*.repo; do
sed -i "s/^enabled=AUTO_VALUE$/enabled=${rawhide_enabled}/" $repo || exit 1
done
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora{,-modular,-updates,-updates-modular}.repo; do
sed -i "s/^enabled=AUTO_VALUE$/enabled=${stable_enabled}/" $repo || exit 1
done
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-updates-testing{,-modular}.repo; do
sed -i "s/^enabled=AUTO_VALUE$/enabled=${testing_enabled}/" $repo || exit 1
done
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-updates-archive.repo; do
sed -i "s/^enabled=AUTO_VALUE$/enabled=${archive_enabled}/" $repo || exit 1
done
# Adjust Rawhide repo files to include Rawhide+1 GPG key.
# This is necessary for the period when Rawhide gets bumped to N+1 and packages
# start to be signed with a newer key. Without having the key specified in the
# repo file, the system would consider the new packages as untrusted.
rawhide_next=$((%{rawhide_release}+1))
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-rawhide*.repo; do
sed -i "/^gpgkey=/ s@AUTO_VALUE@file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-${rawhide_next}-\$basearch@" \
$repo || exit 1
done
# Set appropriate metadata_expire in base repo files (6h before Final, 7d after)
%if "%{release}" < "1"
expire_value='6h'
%else
expire_value='7d'
%endif
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora{,-modular}.repo; do
sed -i "/^metadata_expire=/ s/AUTO_VALUE/${expire_value}/" \
$repo || exit 1
done
# Install ostree remote config
install -d -m 755 $RPM_BUILD_ROOT/etc/ostree/remotes.d/
install -m 644 %{_sourcedir}/fedora.conf $RPM_BUILD_ROOT/etc/ostree/remotes.d/
install -m 644 %{_sourcedir}/fedora-compose.conf $RPM_BUILD_ROOT/etc/ostree/remotes.d/
%check
# Make sure all repo variables were substituted
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo; do
if grep -q AUTO_VALUE $repo; then
echo "ERROR: Repo $repo contains an unsubstituted placeholder value"
exit 1
fi
done
# Make sure correct repos were enabled/disabled
enabled_repos=(fedora-cisco-openh264)
disabled_repos=()
%if %{rawhide_release} == %{version}
enabled_repos+=(fedora-rawhide fedora-rawhide-modular fedora-eln)
disabled_repos+=(fedora fedora-modular fedora-updates fedora-updates-archive \
fedora-updates-modular fedora-updates-testing fedora-updates-testing-modular)
%else
enabled_repos+=(fedora fedora-modular fedora-updates fedora-updates-archive \
fedora-updates-modular)
disabled_repos+=(fedora-rawhide fedora-rawhide-modular fedora-eln)
%if %{updates_testing_enabled}
enabled_repos+=(fedora-updates-testing fedora-updates-testing-modular)
%else
disabled_repos+=(fedora-updates-testing fedora-updates-testing-modular)
%endif
%endif
for repo in ${enabled_repos[@]}; do
if ! grep -q 'enabled=1' $RPM_BUILD_ROOT/etc/yum.repos.d/${repo}.repo; then
echo "ERROR: Repo $repo should have been enabled, but it isn't"
exit 1
fi
done
for repo in ${disabled_repos[@]}; do
if grep -q 'enabled=1' $RPM_BUILD_ROOT/etc/yum.repos.d/${repo}.repo; then
echo "ERROR: Repo $repo should have been disabled, but it isn't"
exit 1
fi
done
# Make sure updates-testing is not enabled in a Final (stable) release
%if "%{release}" >= "1"
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-updates-testing{,-modular}.repo; do
if grep -q 'enabled=1' $repo; then
echo "ERROR: Repo $repo should be disabled in a stable release, but it isn't"
exit 1
fi
done
%endif
# Make sure metadata_expire was correctly set
%if "%{release}" < "1"
expire_value='6h'
%else
expire_value='7d'
%endif
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora{,-modular}.repo; do
lines=$(grep '^metadata_expire=' $repo | sort | uniq)
if [ "$(echo "$lines" | wc -l)" -ne 1 ]; then
echo "ERROR: Non-matching metadata_expire lines in $repo: $lines"
exit 1
fi
if test "$lines" != "metadata_expire=${expire_value}"; then
echo "ERROR: Wrong metadata_expire value in $repo: $lines"
exit 1
fi
done
# Make sure the Rawhide+1 key wasn't forgotten to be created
rawhide_next=$((%{rawhide_release}+1))
test -n "$rawhide_next" || exit 1
if ! test -f $RPM_BUILD_ROOT/etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-${rawhide_next}-primary; then
echo "ERROR: GPG key for Fedora ${rawhide_next} is not present"
exit 1
fi
# Make sure the Rawhide+1 key is present in Rawhide repo files
for repo in $RPM_BUILD_ROOT/etc/yum.repos.d/fedora-rawhide*.repo; do
gpg_lines=$(grep '^gpgkey=' $repo)
if test -z "$gpg_lines"; then
echo "ERROR: No gpgkey= lines in $repo"
exit 1
fi
while IFS= read -r line; do
if ! echo "$line" | grep -q "RPM-GPG-KEY-fedora-${rawhide_next}"; then
echo "ERROR: Fedora ${rawhide_next} GPG key missing in $repo"
exit 1
fi
done <<< "$gpg_lines"
done
%files
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/fedora.repo
%config(noreplace) /etc/yum.repos.d/fedora-modular.repo
%config(noreplace) /etc/yum.repos.d/fedora-cisco-openh264.repo
%config(noreplace) /etc/yum.repos.d/fedora-updates.repo
%config(noreplace) /etc/yum.repos.d/fedora-updates-testing.repo
@ -183,6 +352,9 @@ install -m 644 %{_sourcedir}/fedora-compose.conf $RPM_BUILD_ROOT/etc/ostree/remo
%config(noreplace) /etc/yum.repos.d/fedora-updates-modular.repo
%config(noreplace) /etc/yum.repos.d/fedora-updates-testing-modular.repo
%files archive
%config(noreplace) /etc/yum.repos.d/fedora-updates-archive.repo
%files rawhide
%config(noreplace) /etc/yum.repos.d/fedora-rawhide.repo
@ -202,12 +374,52 @@ install -m 644 %{_sourcedir}/fedora-compose.conf $RPM_BUILD_ROOT/etc/ostree/remo
%files eln
%config(noreplace) /etc/yum.repos.d/fedora-eln.repo
%config(noreplace) /etc/yum.repos.d/fedora-eln-modular.repo
%changelog
* Mon Aug 10 2020 Tomas Hrcka <thrcka@redhat.com> - 34-0.1
- Setup for rawhide being F34
* Wed Apr 28 2021 Dusty Mabe <dusty@dustymabe.com> - 33-5
- Enable the updates archive repo on non-rawhide.
* Mon Feb 22 2021 Kamil Páral <kparal@redhat.com> - 33-4
- Sync with Rawhide (mostly gpg keys)
* Tue Feb 09 2021 Mohan Boddu <mboddu@bhujji.com> - 33-3
- Fixing archmap for F35
* Thu Feb 04 2021 Mohan Boddu <mboddu@bhujji.com> - 33-2
- Adding F35 key
* Wed Oct 14 2020 Mohan Boddu <mboddu@bhujji.com> - 33-1
- Setup for F33 Final
- Disable testing repos
* Tue Oct 13 2020 Mohan Boddu <mboddu@bhujji.com> - 33-0.17
- Disable eln repos on non rawhide release (sgallagh)
* Tue Oct 13 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.16
- Ensure that the ELN GPG key always points at the Rawhide key
* Tue Oct 13 2020 Stephen Gallagher <sgallagh@redhat.com> - 33-0.15
- Update the ELN repos for the BaseOS and AppStream split
* Mon Oct 05 2020 Dusty Mabe <dusty@dustymabe.com> - 33-0.14
- Add the fedora-repos-archive subpackage.
* Mon Sep 14 2020 Miro Hrončok <mhroncok@redhat.com> - 33-0.13
- Don't require fedora-repos-rawhide-modular from fedora-repos-modular
- Fixes: rhbz#1878526
* Fri Aug 21 2020 Miro Hrončok <mhroncok@redhat.com> - 33-0.12
- Fix a copy-paste error in eln repo name
- Drop fedora-modular from base repo as it already is in modular subpackage
- Fixes: rhbz#1869150
* Tue Aug 11 2020 Miro Hrončok <mhroncok@redhat.com> - 33-0.11
- Enable fedora repo
* Mon Aug 10 2020 Tomas Hrcka <thrcka@redhat.com> - 33-0.10
- Disable rawhide, eln repos
- Enable updates, updates-testing repos
* Thu Aug 06 2020 Mohan Boddu <mboddu@bhujji.com> - 33-0.9
- Adding F34 key

View file

@ -0,0 +1,22 @@
# This is a repo that contains all the old update packages from the
# Fedora updates yum repository (i.e. the packages that have made it
# to "stable"). This repo is needed for OSTree based systems where users
# may be trying to layer packages on top of a base layer that doesn't
# have the latest stable content. Since base layer content is locked
# the package layering operation will fail unless there are older versions
# of packages available.
#
# This repo is given a high cost in order to prefer the normal Fedora
# yum repositories, which means only packages that can't be found
# elsewhere will be downloaded from here.
[updates-archive]
name=Fedora $releasever - $basearch - Updates Archive
baseurl=https://fedoraproject-updates-archive.fedoraproject.org/fedora/$releasever/$basearch/
enabled=AUTO_VALUE
metadata_expire=6h
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
skip_if_unavailable=True
cost=10000 # default is 1000

View file

@ -2,7 +2,7 @@
name=Fedora Modular $releasever - $basearch - Updates
#baseurl=http://download.example/pub/fedora/linux/updates/$releasever/Modular/$basearch/
metalink=https://mirrors.fedoraproject.org/metalink?repo=updates-released-modular-f$releasever&arch=$basearch
enabled=0
enabled=AUTO_VALUE
countme=1
repo_gpgcheck=0
type=rpm

View file

@ -2,7 +2,7 @@
name=Fedora Modular $releasever - $basearch - Test Updates
#baseurl=http://download.example/pub/fedora/linux/updates/testing/$releasever/Modular/$basearch/
metalink=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-modular-f$releasever&arch=$basearch
enabled=0
enabled=AUTO_VALUE
countme=1
repo_gpgcheck=0
type=rpm

View file

@ -2,7 +2,7 @@
name=Fedora $releasever - $basearch - Test Updates
#baseurl=http://download.example/pub/fedora/linux/updates/testing/$releasever/Everything/$basearch/
metalink=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f$releasever&arch=$basearch
enabled=0
enabled=AUTO_VALUE
countme=1
repo_gpgcheck=0
type=rpm

View file

@ -2,7 +2,7 @@
name=Fedora $releasever - $basearch - Updates
#baseurl=http://download.example/pub/fedora/linux/updates/$releasever/Everything/$basearch/
metalink=https://mirrors.fedoraproject.org/metalink?repo=updates-released-f$releasever&arch=$basearch
enabled=0
enabled=AUTO_VALUE
countme=1
repo_gpgcheck=0
type=rpm

View file

@ -2,9 +2,9 @@
name=Fedora $releasever - $basearch
#baseurl=http://download.example/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
enabled=0
enabled=AUTO_VALUE
countme=1
#metadata_expire=7d
metadata_expire=AUTO_VALUE
repo_gpgcheck=0
type=rpm
gpgcheck=1
@ -16,7 +16,7 @@ name=Fedora $releasever - $basearch - Debug
#baseurl=http://download.example/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
metadata_expire=AUTO_VALUE
repo_gpgcheck=0
type=rpm
gpgcheck=1
@ -28,7 +28,7 @@ name=Fedora $releasever - Source
#baseurl=http://download.example/pub/fedora/linux/releases/$releasever/Everything/source/tree/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-source-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
metadata_expire=AUTO_VALUE
repo_gpgcheck=0
type=rpm
gpgcheck=1